## javax.faces.component.html
Class HtmlSelectManyMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          javax.faces.component.html.HtmlSelectManyMenu

All Implemented Interfaces:
  EditableValueHolder, StateHolder, ValueHolder

public class HtmlSelectManyMenu
extends UISelectMany

Version:
  $Revision: 267203 $ $Date: 2005-09-02 09:49:49 -0400 (Fri, 02 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: oros $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectMany
`COMPONENT_FAMILY, INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlSelectManyMenu()`

Method Summary
`java.lang.String` `getAccesskey()`
`java.lang.String` `getDir()`
`java.lang.String` `getDisabledClass()`
`java.lang.String` `getEnabledClass()`
`java.lang.String` `getLang()`
`java.lang.String` `getOnblur()`
`java.lang.String` `getOnchange()`
`java.lang.String` `getOnclick()`
`java.lang.String` `getOndblclick()`
`java.lang.String` `getOnfocus()`
`java.lang.String` `getOnkeydown()`
`java.lang.String` `getOnkeypress()`
`java.lang.String` `getOnkeyup()`
`java.lang.String` `getOnmousedown()`
`java.lang.String` `getOnmousemove()`
`java.lang.String` `getOnmouseout()`
`java.lang.String` `getOnmouseover()`
`java.lang.String` `getOnmouseup()`
`java.lang.String` `getOnselect()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getTabindex()`
`java.lang.String` `getTitle()`
`boolean` `isDisabled()`
`boolean` `isReadonly()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setAccesskey(java.lang.String accesskey)`
`void` `setDir(java.lang.String dir)`
`void` `setDisabled(boolean disabled)`
`void` `setDisabledClass(java.lang.String value)`
`void` `setEnabledClass(java.lang.String value)`
`void` `setLang(java.lang.String lang)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnchange(java.lang.String onchange)`
`void` `setOnclick(java.lang.String onclick)`
`void` `setOndblclick(java.lang.String ondblclick)`
`void` `setOnfocus(java.lang.String onfocus)`
`void` `setOnkeydown(java.lang.String onkeydown)`
`void` `setOnkeypress(java.lang.String onkeypress)`
`void` `setOnkeyup(java.lang.String onkeyup)`
`void` `setOnmousedown(java.lang.String onmousedown)`
`void` `setOnmousemove(java.lang.String onmousemove)`
`void` `setOnmouseout(java.lang.String onmouseout)`
`void` `setOnmouseover(java.lang.String onmouseover)`
`void` `setOnmouseup(java.lang.String onmouseup)`
`void` `setOnselect(java.lang.String onselect)`
`void` `setReadonly(boolean readonly)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setTabindex(java.lang.String tabindex)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class javax.faces.component.UISelectMany
`compareValues, getConvertedValue, getFamily, getSelectedValues, getValueBinding, setSelectedValues, setValueBinding, validate, validateValue`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, decode, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlSelectManyMenu

    public HtmlSelectManyMenu()

Method Detail

### setEnabledClass

    public void setEnabledClass(java.lang.String value)

### getEnabledClass

    public java.lang.String getEnabledClass()

### setDisabledClass

    public void setDisabledClass(java.lang.String value)

### getDisabledClass

    public java.lang.String getDisabledClass()

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### getAccesskey

    public java.lang.String getAccesskey()

### setDir

    public void setDir(java.lang.String dir)

### getDir

    public java.lang.String getDir()

### setDisabled

    public void setDisabled(boolean disabled)

### isDisabled

    public boolean isDisabled()

### setLang

    public void setLang(java.lang.String lang)

### getLang

    public java.lang.String getLang()

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnblur

    public java.lang.String getOnblur()

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOnchange

    public java.lang.String getOnchange()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnselect

    public void setOnselect(java.lang.String onselect)

### getOnselect

    public java.lang.String getOnselect()

### setReadonly

    public void setReadonly(boolean readonly)

### isReadonly

    public boolean isReadonly()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### getTabindex

    public java.lang.String getTabindex()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIInput`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIInput`